Name:		dtcmp
Version:	1.1.4
Release:	1%{?dist}
Summary:	Datatype Compare Library for sorting and ranking distributed data using MPI
License:	BSD
URL:		https://github.com/LLNL/dtcmp
Source0:	https://github.com/LLNL/dtcmp/releases/download/v%version/dtcmp-%version.tar.gz
Patch1:		dtcmp-lwgrp.patch
Patch2:		dtcmp-sover.patch
BuildRequires:	openmpi-devel lwgrp-devel automake
Requires:	openmpi%{?_isa}

%description
The Datatype Comparison (DTCMP) Library provides pre-defined and
user-defined comparison operations to compare the values of two items
which can be arbitrary MPI datatypes.

%package devel
Summary:	Development files for %name
Requires:	%name%{?_isa} = %version-%release
Requires:	lwgrp-devel openmpi-devel

%description devel
Development files for %name


%prep
%setup -q
%patch1 -p1
%patch2 -p1
autoreconf

%build
%_openmpi_load
export LDFLAGS=-llwgrp
%configure --includedir=$MPI_INCLUDE --libdir=$MPI_LIB --disable-static CC=mpicc
%make_build


%install
%make_install
rm -r %buildroot%_datadir/dtcmp


%files
%license LICENSE.TXT
%doc README.md
%_libdir/openmpi/lib/libdtcmp.so.*
%exclude %_libdir/openmpi/lib/libdtcmp.la

%files devel
%_includedir/openmpi-%_arch/dtcmp.h
%_libdir/openmpi/lib/libdtcmp.so
%_libdir/openmpi/lib/pkgconfig/libdtcmp.pc

%changelog
* Sun Jan 15 2023 Dave Love <loveshack@fedoraproject.org> - 1.1.4-1
- New version

* Wed May  5 2021 Dave Love <loveshack@fedoraproject.org> - 1.1.1-1
- New version
- Link with lwgrp

* Wed Sep 20 2017 Dave Love <loveshack@fedoraproject.org> - 1.0.3-1
- Initial packaging
